Commit 687cb850 authored by Volker Krause's avatar Volker Krause
Browse files

Adapt build system for supporting Qt6 as well

This mostly builds, but there is one remaining use of the deprecated
KPluginLoader class.
parent 3c56cb7e
......@@ -7,4 +7,4 @@ target_compile_definitions(gtk3_preview PRIVATE "-DDATA_DIR=\"${KDE_INSTALL_FULL
target_link_libraries(gtk3_preview PkgConfig::GTK+3 PkgConfig::GLib2 PkgConfig::GObject X11::X11)
install(TARGETS gtk3_preview RUNTIME DESTINATION "${KDE_INSTALL_LIBEXECDIR}")
install(FILES preview.ui DESTINATION ${DATA_INSTALL_DIR}/kcm-gtk-module/)
install(FILES preview.ui DESTINATION ${KDE_INSTALL_DATADIR}/kcm-gtk-module/)
......@@ -7,6 +7,7 @@ add_library(KWinBridge STATIC
auroraedecorationpainter.cpp
standarddecorationpainter.cpp
)
set_property(TARGET KWinBridge PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(KWinBridge
PUBLIC
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment